{% extends "app/base.html" %}
{% block title %}Dashboard{% endblock title %}
{% load i18n %}
{% load account socialaccount %}
{% load crispy_forms_tags %}

{% block head_title %}{% trans "Sign In" %}{% endblock %}

{% block inner %}


    <h1 class="starter-template">App List</h1>

    <input type="hidden" id="refresh" value="no">

    <!-- BUTTON TO TRIGGER THE ACTION -->
    <p>
        <button type="button" class="btn btn-primary js-create-app" data-url="{% url 'app_create' %}">
            <span class="fa fa-plus"></span>
            New App
        </button>
    </p>

    <table class="table" id="app_table">
        <thead>
        <tr>
            <th>App Name</th>
            <th>URL</th>
            <th>App Status</th>
            <th>Owner</th>
        </tr>
        </thead>
        <tbody>
        {% include 'app/includes/partial_app_list.html' %}
        </tbody>
    </table>


    <!-- THE MODAL WE WILL BE USING -->
    <div class="modal fade" id="modal-app">
        <div class="modal-dialog">
            <div class="modal-content">
            </div>
        </div>

    </div>
    <script>
        function updateAppInfo(value) {
{#                    alert("it works"+value)#}
            $.ajax({
{#                                    url: "{% url 'app_info_poll' %}" + value,#}
                url: '/app/info/id/' + value,
                type: 'GET',
                success: function (data) {
{#                                            console.log(data);#}
                    $("#appStatus_" + value).text(data['appStatus']);
                    $("#appFqdn_" + value).text(data['appFqdn']);
                    $("#appFqdnHttp_" + value).attr('href', 'http://' + data['appFqdn']);
                }
            });
        };
    </script>

    {% load static %}
{#    {% block javascript %}#}
{#        <script src="{% static 'js/apps.js' %}"></script>#}
{#    {% endblock %}#}

{% endblock %}
